#### Device type：

|ID|DeviceModel|
|:----   |-----   |
|100 |JTR100 |
|201 |JT301A |
|400|GP4000|
|500|JT300B|
|501|JT704-04|
|502|JT300B-04|
|503|JT300D-02|
|504|JT300D-04|
|551|JT300DB|
|552|GP2000|
|553|GP7000|
|600|GP6000|
|601|GP6000F|
|602|JT600C|
|700|JT700DT|
|701|JT701|
|702|JT702|
|703|JT703|
|704|JT704|
|705|JT705|
|706|JT706|
|707|JT707A|
|709|JT709|
|802|JT802|
|808|JT/T808|
|1002|RTCC|
|1010|ConcoxTrack|
|1011|ConcoxTrack(MQTT)|
|1020|Skycniot(GT60)|
|1021|Skycniot(TX60)|
|1030|MeiTrack|
|1040|Queclink|
|1050|Eelink|
|1060|EasyTrack|
|1070|CanTrack|
|1080|TopTen|
|1090|KHDTrack|
|1100|BiidiWatch|
|1110|SeeWord(S208)|
|1111|SeeWord(S112U)|
|1120|AnyTrack|
|1130|HCIOT|
|1140|JTS6SA|
|1150|AOVX-A/G|
|1151|AOVX-V|
|1160|Teltonika|
|1170|JT300T1|
|1200|MiWiTrack|
|1301|JT301B|
|1600|eLock|
|1701|JT701-TRA|
|1704|JT704H|
|1705|JT705A|
|1707|JT707B|
|1709|JT709A|
|1808|CB-2019|
|2000|UDP|
|2301|JT301C|
|2701|JT701D(MQTT)|
|2705|JT705A_RH|
|2707|JT707C|
|2709|JT709B|
|2808|JT/T 808-2019|
|3301|JT301D|
|3701|JT701D|
|3709|JT709C|
|4701|Vietnam701|
|4709|JT709C(DMP)|
|5701|JT701D_BLE|
|5709|JT709N|
|6701|JT701(HWIOT)|
|6709|JT709C(MQTT)|

## Only list Alarm/Event types for smart lock
|  Alarm type | Alarm name  |
| ------------ | ------------ |
| 1 |	Speeding Alarm |
| 19 |	Overtime Parking |
| 23 |	Route deviation Alarm |
| 40 |	Loke rope cut |
| 41|	Vibration|
|42|	Long-time unlocking|
|43|	Unlock password error for 5 consecutive times|
|44|	Swiping illegal RFID card|
|45|	Low power|
|46|	Back cover opened|
|47|	Motor stuck|
|48|	Enter fence alarm|
|49|	Exit fence alarm|
|63|	Temperature and humidity alarm|
|193|	Lock device abnormal|
|194|	Unlock password error|
|195|	Do not perform unlocking without positioning|
|196|	No unlocking outside the fence|
|197|	Attitude alarm|
|198|	Slave sensor signal lost|
|199|	Supervision status forbids unlocking|
|200|	Main battery replacement|
|201|	Self-check exception|
|202|	Not enough storage space|
|203|	Lock bar bent|
|204|	Chain saw off|
|205|	Lock bar missing|
|206|	Forbidden to unlock in the sealed state|
|316|	Light sensor alarm|
|332|	Air pressure alarm|
|400|	Overtime idle alarm|
|402|	Fence stop alarm|
|403|	Out fence unlock|
|404|	late warning|
|405|	late alarm|
|406|	late arrival warning|
|407|	Late Arrival Alarm|
|410|	Lora communication abnormality|

|  Event type | Event name  |
| ------------ | ------------ |
| 3 |	Unlock |
| 4 |	Lock |
| 5|	Sublock unlock|
|6|	Sublock lock|
|12|	Device offline|
|17|	Charging|
|18|	Maintenance|
|19|	Press button|
|20|	Pull out lock rope|
|31|	Open door|
|32|	Close door|
|33|	Sealing device outside fence|
|34|	Unsealing device in fence|
|44|	Snapshot|
|45|	Timing shooting|
|46|	leave the starting point|
|47|	Reach the destination|
|48|	Leave the destination|
|49|	Complete the waybill|
|50|	Entry waypoint|
|51|	Leave waypoint|


|  Unlock type | Unlock method name  |
| ------------ | ------------ |
|-1|Device Locked |
|1|	Swipe RFID card |
|2|	Remote unlock|
|3|	BLE unlock|
|4|	lock rope cut unlock|
|5|	SMS unlock|
|6|	Press button unlock|
|7|	NFC unlock|